### Function

# SpiceClientGLib glib_uuid_to_string

since: 0.43

#### Declaration [src]

    gchar*
    spice_glib_uuid_to_string (
      const guint8* uuid
    )

#### Description [src]

Creates a string representation of `uuid`, of the form “06e023d5-86d8-420e-8103-383e4566087a”.

Available since: 0.43

#### Parameters

`uuid`

  Type: An array of `guint8`

  UUID byte array.

  The array must have 16 elements.
  The data is owned by the caller of the function.

#### Return value

Type: `gchar*`

A string that should be freed with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.